OpenCV: cvflann::anyimpl::base_any_policy Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::anyimpl::base_any_policy Struct Referenceabstract

`#include "any.h"`

Inheritance diagram for cvflann::anyimpl::base_any_policy:

## Public Member Functions
virtual | ~base_any_policy ()
virtual void | clone (void *const *src, void **dest)=0
virtual void | copy_from_value (void const *src, void **dest)=0
virtual ::size_t | get_size ()=0
virtual void * | get_value (void **src)=0
virtual const void * | get_value (void *const *src)=0
virtual void | move (void *const *src, void **dest)=0
virtual void | print (std::ostream &out, void *const *src)=0
virtual void | static_delete (void **x)=0
virtual const std::type_info & | type ()=0

## Constructor & Destructor Documentation

## ◆ ~base_any_policy()

virtual cvflann::anyimpl::base_any_policy::~base_any_policy | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clone()

virtual void cvflann::anyimpl::base_any_policy::clone | ( | void *const * | src,
|  | void ** | dest
| ) |  |
| pure virtual

Implemented in cvflann::anyimpl::CV_FINAL< T >, and cvflann::anyimpl::CV_FINAL< T >.

## ◆ copy_from_value()

virtual void cvflann::anyimpl::base_any_policy::copy_from_value | ( | void const * | src,
|  | void ** | dest
| ) |  |
| pure virtual

Implemented in cvflann::anyimpl::CV_FINAL< T >, and cvflann::anyimpl::CV_FINAL< T >.

## ◆ get_size()

virtual ::size_t cvflann::anyimpl::base_any_policy::get_size | ( |  | ) |
| pure virtual

Implemented in cvflann::anyimpl::typed_base_any_policy< T >.

## ◆ get_value() [1/2]

virtual void* cvflann::anyimpl::base_any_policy::get_value | ( | void ** | src | ) |
| pure virtual

Implemented in cvflann::anyimpl::CV_FINAL< T >, and cvflann::anyimpl::CV_FINAL< T >.

## ◆ get_value() [2/2]

virtual const void* cvflann::anyimpl::base_any_policy::get_value | ( | void *const * | src | ) |
| pure virtual

Implemented in cvflann::anyimpl::CV_FINAL< T >, and cvflann::anyimpl::CV_FINAL< T >.

## ◆ move()

virtual void cvflann::anyimpl::base_any_policy::move | ( | void *const * | src,
|  | void ** | dest
| ) |  |
| pure virtual

Implemented in cvflann::anyimpl::CV_FINAL< T >, and cvflann::anyimpl::CV_FINAL< T >.

## ◆ print()

virtual void cvflann::anyimpl::base_any_policy::print | ( | std::ostream & | out,
|  | void *const * | src
| ) |  |
| pure virtual

Implemented in cvflann::anyimpl::CV_FINAL< T >, and cvflann::anyimpl::CV_FINAL< T >.

## ◆ static_delete()

virtual void cvflann::anyimpl::base_any_policy::static_delete | ( | void ** | x | ) |
| pure virtual

Implemented in cvflann::anyimpl::CV_FINAL< T >, and cvflann::anyimpl::CV_FINAL< T >.

## ◆ type()

virtual const std::type_info& cvflann::anyimpl::base_any_policy::type | ( |  | ) |
| pure virtual

Implemented in cvflann::anyimpl::typed_base_any_policy< T >.

The documentation for this struct was generated from the following file:

- flann/include/opencv2/flann/any.h